%define module Image-Size
%define version 2.903
%define release 5mdk
Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>

Summary: %{module} module for perl
Name: perl-%{module}
Version: %{version}
Release: %{release}
License: GPL
Group: Development/Perl
Source0: %{module}-%{version}.tar.gz
Url: http://www.cpan.org
BuildRequires: perl-devel
BuildRoot: %{_tmppath}/%{name}-buildroot/
Requires: perl >= 5.600

%description
Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{prefix} 
%make CC='cc -DENGLISH' OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{prefix}

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLSITELIB=$RPM_BUILD_ROOT/$installarchlib install
mv $RPM_BUILD_ROOT%{_prefix}/man $RPM_BUILD_ROOT/%{mandir}
find $RPM_BUILD_ROOT%{_prefix} -type f -print | sed "s@^$RPM_BUILD_ROOT@@g"| \
	grep -v perllocal.pod | grep -v .packlist | grep -v .bs > \
	%{module}-%{version}-filelist
perl -p -i -e 's/\.3/\.3\.bz2/g' %{module}-%{version}-filelist


%files -f %{module}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Fri Jan 18 2002 Warly <warly@mandrakesoft.com> 2.903-5mdk
- rebuild for new perl module location

* Fri Oct 26 2001 Stefan van der Eijk <stefan@eijk.nu> 2.903-4mdk
- fix discription
- fix path to manpages

* Fri Oct 26 2001 Stefan van der Eijk <stefan@eijk.nu> 2.903-3mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.903-2mdk
- Rebuild against the latest perl.
- Remove the references to Vendor and Distribution.

* Fri Sep 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.903-1mdk
- First Mandrake release
- Needed for eGrail
